## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# test are enabled by default
%bcond tests 1

# let tests run on all arches
%global debug_package %{nil}

%global _description %{expand:
PuLP is an LP modeler written in Python. PuLP can generate MPS or LP
files and call GLPK, COIN-OR CLP/CBC, CPLEX, GUROBI, MOSEK, XPRESS,
CHOCO, MIPCL, SCIP to solve linear problems.}

Name:           python-pulp
Version:        2.9.0
Release:        %autorelease
Summary:        A python Linear Programming API

%global forgeurl https://github.com/coin-or/pulp
%global tag %{version}
%forgemeta

License:        BSD-1-Clause
URL:            https://coin-or.github.io/pulp/
Source:         %forgesource

# https://github.com/sanjayankur31/pulp/tree/fedora-2.6.0
# Do not install bundled cbc
Patch:          0001-Remove-bundled-cbc.patch

# Don't build nor test on i686
ExcludeArch:    %{ix86}

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  %{py3_dist amply}
BuildRequires:  coin-or-Cbc
%endif

# Solver
# https://coin-or.github.io/pulp/main/installing_pulp_at_home.html?highlight=cbc
Requires:       coin-or-Cbc

%description %_description

%package -n python3-pulp
Summary:        %{summary}
BuildArch:      noarch

%description -n python3-pulp %_description

%prep
%forgeautosetup -p1

# remove bundled cbc
rm -rf pulp/solverdir/cbc

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

# Increase test verbosity
sed -r \
    -e 's/(runner.*TestRunner)\(\)/\1(verbosity=2)/' \
    -i pulp/tests/run_tests.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l pulp

%check
# Using pulptest binary to test the package
%if %{with tests}
%{py3_test_envvars} pulptest
%endif

%files -n python3-pulp -f %{pyproject_files}
%doc README.rst HISTORY
%{_bindir}/pulptest

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 13 2024 Packit <hello@packit.dev> - 2.9.0-1
- Update to 2.9.0 upstream release
- Resolves: rhbz#2298047

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.8.0-5
- Rebuilt for Python 3.13

* Fri Mar 15 2024 Sandro <devel@penguinpee.nl> - 2.8.0-4
- Add Packit config

* Fri Mar 15 2024 Sandro <devel@penguinpee.nl> - 2.8.0-3
- Add changelog (HISTORY) to docs

* Fri Mar 15 2024 Sandro <devel@penguinpee.nl> - 2.8.0-2
- Assert existence of license file

* Fri Mar 15 2024 Sandro <devel@penguinpee.nl> - 2.8.0-1
- Update to 2.8.0 (RHBZ#2258235)
- Rebase patch

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.7.0-2
- Rebuilt for Python 3.12

* Tue Apr 25 2023 Sandro <devel@penguinpee.nl> - 2.7.0-1
- Update to 2.7.0 (RHBZ#2139847)
- Migrate to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.6.0-3
- Rebuilt for Python 3.11

* Mon May 09 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.6.0-2
- feat: fix build and update (fixes rhbz#2046901 fixes rhbz#1992758)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 17 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 2.5.0-1
- Updated to v2.5.0-1
- Added the docs subpackage
- Fixed a version typo in the changelog

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.4-2
- Rebuilt for Python 3.10

* Sat Nov 21 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 2.4-1
- Initial build

## END: Generated by rpmautospec
